=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2010-12-20 21:16:48 +0000
+++ drizzled/field.cc	2010-12-20 22:55:36 +0000
@@ -1134,6 +1134,36 @@
     table->clearWriteSet(field_index);
 }
 
+void Field::pack_num(uint64_t arg, unsigned char *destination)
+{
+  if (not destination)
+    destination= ptr;
+
+#ifdef WORDS_BIGENDIAN
+  if (getTable() && getTable()->getShare()->db_low_byte_first)
+  {
+    int8store(destination, arg);
+  }
+  else
+#endif
+    int64_tstore(destination, arg);
+}
+
+uint64_t Field::unpack_num(uint64_t &destination, const unsigned char *arg) const
+{
+  if (not arg)
+    arg= ptr;
+
+#ifdef WORDS_BIGENDIAN
+  if (getTable() && getTable()->getShare()->db_low_byte_first)
+    destination= uint8korr(arg);
+  else
+#endif
+    int64_tget(destination, arg);
+
+  return destination;
+}
+
 std::ostream& operator<<(std::ostream& output, const Field &field)
 {
   output << "Field:(";

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2010-12-20 16:56:48 +0000
+++ drizzled/field.h	2010-12-20 22:55:36 +0000
@@ -742,35 +742,8 @@
 
 protected:
 
-  void pack_num(uint64_t arg, unsigned char *destination= NULL)
-  {
-    if (not destination)
-      destination= ptr;
-
-#ifdef WORDS_BIGENDIAN
-    if (getTable() && getTable()->getShare()->db_low_byte_first)
-    {
-      int8store(destination, arg);
-    }
-    else
-#endif
-      int64_tstore(destination, arg);
-  }
-
-  uint64_t unpack_num(uint64_t &destination, const unsigned char *arg= NULL) const
-  {
-    if (not arg)
-      arg= ptr;
-
-#ifdef WORDS_BIGENDIAN
-    if (getTable() && getTable()->getShare()->db_low_byte_first)
-      destination= uint8korr(arg);
-    else
-#endif
-      int64_tget(destination, arg);
-
-    return destination;
-  }
+  void pack_num(uint64_t arg, unsigned char *destination= NULL);
+  uint64_t unpack_num(uint64_t &destination, const unsigned char *arg= NULL) const;
 };
 
 std::ostream& operator<<(std::ostream& output, const Field &field);

